<template>
  <div class="home">
    <Loading :visible="visible" text="加载中"/>
  </div>
</template>

<script>
import Loading from '../components/Loading'
import loadings from '../components/index'
export default {
  name: 'Home',
  components:{
    Loading
  },
  data(){
    return{
      visible: false
    }
  },
  created(){
    this.visible=true;
    setTimeout(() => {
      this.visible=false;
    }, 3000);
    const loading = loadings({ text: '正在加载。。。' })
    // 三秒钟后关闭
    setTimeout(() => {
      loading.close()
    }, 3000)
    this.$loading();
  }
}
</script>
